﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Text.RegularExpressions;
using System.Windows.Forms;

namespace DemoCurvas
{
    static class Program
    {
        

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Hashtable CommandLineArgs = new Hashtable();

            string pattern = @"(?<argname>/\w+):(?<argvalue>\w+)";
            foreach (string arg in args)
            {
                Match match = Regex.Match(arg, pattern);

                if (!match.Success)
                    throw new ArgumentException("Incorrect syntax");

                CommandLineArgs[match.Groups["argname"].Value] = match.Groups["argvalue"].Value;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            frmMain form = new frmMain(ref CommandLineArgs);

            System.Threading.Thread.Sleep(2000);
            Application.Run(form);

            
        }
    }
}
